Package org.jboss.logging

# Enum Logger.Level

java.lang.Object
java.lang.Enum<Logger.Level>
org.jboss.logging.Logger.Level

All Implemented Interfaces:
  `Serializable`, `Comparable<Logger.Level>`

Enclosing class:
  Logger

public static enum Logger.Level extends Enum<Logger.Level>
Levels used by this logging API.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`ERROR`
`FATAL`
`INFO`
`TRACE`
`WARN`

## Method Summary

Modifier and Type
Method
Description
`static Logger.Level`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Logger.Level[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FATAL

public static final Logger.Level FATAL

### ERROR

public static final Logger.Level ERROR

### WARN

public static final Logger.Level WARN

### INFO

public static final Logger.Level INFO

### DEBUG

public static final Logger.Level DEBUG

### TRACE

public static final Logger.Level TRACE

## Method Details

### values

public static Logger.Level[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Logger.Level valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null